import {
  AccountParams,
  responsesmodel,
  getPageList_ParamsModel,
  getPageListModel,
  stateModel,
  GetFormModel,
} from './model/formModuleModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  // 获取分页列表
  Get_GetPageList = '/api/FormModule/GetPageList',
  // 更新状态
  Post_UpdateModuleState = '/api/FormModule/UpdateModuleState',
  // 删除实体数据（表单发布模板id）
  Post_DeleteForm = '/api/FormModule/DeleteForm',
  // 根据主键获取实体数据(编辑时使用)
  Get_GetForm = '/api/FormModule/GetForm',
}

// 获取分页列表
export function fun_GetPageList(params: getPageList_ParamsModel) {
  return defHttp.get<getPageListModel>({
    url: Api.Get_GetPageList,
    params,
  });
}

// 更新状态
export function fun_UpdateModuleState(params: stateModel) {
  return defHttp.post<responsesmodel>({
    url: Api.Post_UpdateModuleState + '?id=' + params.id + '&state=' + params.state,
  });
}

// 删除实体数据（表单发布模板id）
export function fun_DeleteForm(params: AccountParams) {
  return defHttp.post<responsesmodel>({
    url: Api.Post_DeleteForm + '?keyValue=' + params.id,
  });
}

// 根据主键获取实体数据(编辑时使用)
export function fun_GetForm(params) {
  return defHttp.get<GetFormModel>({
    url: Api.Get_GetForm,
    params,
  });
}
